Package org.apache.maven.scm.provider.perforce.command.tag

## Class PerforceTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.perforce.command.tag.PerforceTagCommand

All Implemented Interfaces:
  `Command`, `PerforceCommand`

    public class PerforceTagCommand
    extends AbstractTagCommand
    implements PerforceCommand

Author:
  Mike Perham, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`PerforceTagCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createLabelCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory)`
`java.lang.String` `createLabelSpecification​(PerforceScmProviderRepository repo, java.lang.String tag, boolean lock)`
`static org.codehaus.plexus.util.cli.Commandline` `createLabelsyncCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory, ScmFileSet files, java.lang.String tag)`
`protected ScmResult` `executeTagCommand​(ScmProviderRepository repo, ScmFileSet files, java.lang.String tag, java.lang.String message)`
`protected ScmResult` `executeTagCommand​(ScmProviderRepository repo, ScmFileSet files, java.lang.String tag, ScmTagParameters scmTagParameters)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceTagCommand

    public PerforceTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository repo,
                                          ScmFileSet files,
                                          java.lang.String tag,
                                          java.lang.String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository repo,
                                          ScmFileSet files,
                                          java.lang.String tag,
                                          ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### createLabelCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createLabelCommandLine​(PerforceScmProviderRepository repo,
                                                                                  java.io.File workingDirectory)

#### createLabelsyncCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createLabelsyncCommandLine​(PerforceScmProviderRepository repo,
                                                                                      java.io.File workingDirectory,
                                                                                      ScmFileSet files,
                                                                                      java.lang.String tag)

#### createLabelSpecification

    public java.lang.String createLabelSpecification​(PerforceScmProviderRepository repo,
                                                     java.lang.String tag,
                                                     boolean lock)